TEXTVARIABLEN BTEX,DTEX,TYP,BVBSMAT,BVBSTYP,ZT

ZUWEISEN ISTEU

WENN ISTEU=1 DANN
	_ANZAHL_=2
	EGART=2
	T2=.4
	T22=.8
	ASL1=6.5
	ASLS2=10
	ASLB2=8
	ASLH2N=8
	ASLS3=13
	ASLS4=13
	ASLB4=11
	ASLH4=11
	HIMA99=T2+ASLH2
	MAKRO_AUS_DATEI 'a331_vor.val'
ENDE WENN

C-----------Hauptprogramm

WENN ISTEU>2 GEHE EINBAU

:START

MASKE_ZEIGEN 1,'bah331_1'

:MASKEIN

MASKE_EINGABE -1,"

:EINBAU

	MINEPS=0.0001
	ASLH2=ASLH2N-T2

	AUFRUF BERECHNE

	HIMA99=T2+ASLH2
	L;LAEBAH1=ASL1+ASLS2+ASLS3+ASLS4

	B=T22
	D=T2
	BUM=10*B
	DUM=10*D

	UMWANDELN TEXT 1,BUM,BTEX
	UMWANDELN TEXT 1,DUM,DTEX

	BVBSMAT='Flachstahl '//BTEX//'x'//DTEX
	BVBSTYP=BTEX//'x'//DTEX
	BVBSGEW=B*D*L*7.85/1000
	TYP='Abstandhalter 331'

WENN RETFLAG=0 GEHE MASKEIN

MAKRO_GENERIEREN ISTEU,KORR

	WENN KORR=1 GEHE START

	MAKRO_IN_DATEI 'a331_vor.val'

STOP


C-----------Unterprogramm: Berechnung der Geometrie

UNTERPROGRAMM BERECHNE

	WENN EGART=1 DANN
		ASLB2=SQR(ASLS2^2-ASLH2^2)
		ASLB4=SQR(ASLS4^2-ASLH4^2)
	SONST WENN EGART=2 DANN
		ASLH2=SQR(ASLS2^2-ASLB2^2)
		ASLH2N=ASLH2+T2
		ASLH4=SQR(ASLS4^2-ASLB4^2)
	ENDE WENN

C--- Berechnung 1. Abschnitt
	ALPHA1=ATAN(ASLB2/ASLH2)
	BETA1=135-.5*ALPHA1
	GAMMA1=180-ALPHA1-BETA1
	DELTAY1=T2*TAN(GAMMA1)
	HASL1=ASL1+DELTAY1
C--- Berechnung 2. Abschnitt
	ALPHA2=0
	BETA2=90-ALPHA1
	GAMMA2=90-.5*(ALPHA2+BETA2)
	S2=T2/SIN(GAMMA2)
	DELTA2=GAMMA2+ALPHA2
	DELTAY2=COS(DELTA2)*S2
	HASLB2=ASLB2-DELTAY1+DELTAY2
	HASLH2=HASLB2/TAN(ALPHA1)
C--- Berechnung 3. Abschnitt
	ALPHA3=ATAN(ASLH4/ASLB4)
	BETA3=90+.5*(ALPHA2-ALPHA3)
	S3=T2/SIN(BETA3)
	GAMMA3=90-ALPHA3
	DELTA3=BETA3-GAMMA3
	DELTAY3=SIN(DELTA3)*S3
	HASLS3=ASLS3-DELTAY2-DELTAY3
C--- Berechnung 4. Abschnitt
	GAMMA4=135-.5*GAMMA3
	DELTA4=GAMMA4-90
	S4=T2/COS(DELTA4)
	ALPHA4=GAMMA4-ALPHA3
	ALPHA4=ABS(ALPHA4)
	DELTAY4=COS(ALPHA4)*S4
	HASLB4=ASLB4+DELTAY3-DELTAY4
	HASLH4=HASLB4/TAN(GAMMA3)

	BVBSL[1]=ASL1*10
	BVBSW[1]=90-ALPHA1
	BVBSL[2]=ASLS2*10
	BVBSW[2]=-90+ALPHA1
	BVBSL[3]=ASLS3*10
	BVBSW[3]=-ALPHA3
	BVBSL[4]=ASLS4*10
	BVBSW[4]=0

RUECKSPRUNG
