C-# Schck Isokorb Typ K (STRAKON 2013; Februar 2013; Mel)
C-# Symbolische Darstellung des Isokorbes in der Draufsicht und Ansicht
C-# "keine" korrekte Darstellung der Lage und Anzahl der Bewehrung !

TEXTVARIABLEN BEZTEXT,DATNAM
TEXTVARIABLEN TTYP,TBET,TQUER,TBRAND
PRO_VARIABLEN ISTEU,DATNAM

ZUWEISEN ISTEU
WENN ISTEU=1 AUFRUF DATEILESEN


C---------------- Eingabe
:ANFANG
LEITEX='Typ='//TTYP//'  '//'Betondeckung='//TBET//'  '//'Querkraftstufe='//TQUER//'  '//TBRAND//'  '
LEISTE LEITEX

ZAHL H,'Isokorb-Hhe (mm): ENTER='

WENN NFUNKTA>0 DANN
    WENN NFUNKTA=1 DANN
        ABFRAGE TYP,'Isokorb Typ: K10  K20  K30  K40  K50  K60  K70  K80  K90  K100 '
        WENN TYP=1 TTYP='K10'
        WENN TYP=2 TTYP='K20'
        WENN TYP=3 TTYP='K30'
        WENN TYP=4 TTYP='K40'
        WENN TYP=5 TTYP='K50'
        WENN TYP=6 TTYP='K60'
        WENN TYP=7 TTYP='K70'
        WENN TYP=8 TTYP='K80'
        WENN TYP=9 TTYP='K90'
        WENN TYP=10 TTYP='K100'
    
    SONST WENN NFUNKTA=2 DANN
        ABFRAGE BET,'Betondeckung: CV30  CV35  CV50 '
        WENN BET=1 TBET='CV30'
        WENN BET=2 TBET='CV35'
        WENN BET=3 TBET='CV50'
    
    SONST WENN NFUNKTA=3 DANN
        ABFRAGE QUER,'Querkraftstufe: V6  V8  V10  VV '
        WENN QUER=1 TQUER='V6'
        WENN QUER=2 TQUER='V8'
        WENN QUER=3 TQUER='V10'
        WENN QUER=4 TQUER='VV'
        
    SONST
        WENN BRAND=0 DANN
            BRAND=1
            TBRAND='  >Brandschutz F120  '
        SONST
            BRAND=0
            TBRAND='  Brandschutz F120  '
        ENDE WENN
    ENDE WENN
    
    GEHE ANFANG
ENDE WENN


C-# Geometriewerte bestimmen
C-# Aussenlnge: Typ K10 - K50 = 575mm, Typ K60 - K100 = 725mm
WENN TYP<=5 DANN
    LA=57.5
    LL=24.9
    LR=22.3
SONST
    LA=72.5
    LL=31
    LR=29.1
ENDE WENN


HZEICH=H/10

C-# Abstand oben: 30mm bei CV30, 35mm bei CV35, 50mm bei CV50
WENN BET=1 DANN
    HO=3
SONST WENN BET=2 DANN
    HO=3.5
SONST
    HO=5
ENDE WENN

HM=0
WENN TYP>=6 HM=HZEICH-HO


C-# Bezeichnungstext definieren
BEZTEXT=TTYP//'-'//TBET//'-'//TQUER//'-H%H%'

WENN QUER=1 UND TYP<=7 DANN
    BEZTEXT=TTYP//'-'//TBET//'-H%H%'
ENDE WENN

WENN QUER=2 UND BRAND=1 DANN
    BEZTEXT=TTYP//'-'//TBET//'-'//TQUER//'-H%H%-F120'
ENDE WENN

C-# Daten speichern; Makro generieren
AUFRUF DATEISCHREIBEN
MAKRO_GENERIEREN 3

STOP


C-# =========================================================================================
C-#                                      Unterprogramme
C-# =========================================================================================
C-#                 Werte aus Vorlaufdatei "is-k.vor" lesen
C-# -----------------------------------------------------------------------------------------
UNTERPROGRAMM DATEILESEN

DATNAM=VERZEBT//'is-k.vor'


DATEI 21,DATNAM
LESEN 21,H
WENN FEHLER=-1 DANN
    H=160
    TYP;BET;QUER=1
    TTYP='K10'
    TBET='CV30'
    TQUER='V6'
    BRAND=0
    SCHLIESSE 21
    GEHE MARKE100
ENDE WENN
LESEN 21,TYP,BET,QUER,BRAND
LESEN 21,TTYP
LESEN 21,TBET
LESEN 21,TQUER
SCHLIESSE 21

:MARKE100
WENN BRAND=0 DANN
    TBRAND='  Brandschutz F120  '
SONST
    TBRAND='  >Brandschutz F120  '
ENDE WENN

RUECKSPRUNG


C-# -----------------------------------------------------------------------------------------
C-#                 Werte in Vorlaufdatei "is-k.vor" speichern
C-# -----------------------------------------------------------------------------------------

UNTERPROGRAMM DATEISCHREIBEN

DATEI 21,DATNAM
SCHREIBEN 21,H
SCHREIBEN 21,TYP,BET,QUER,BRAND
SCHREIBEN 21,TTYP
SCHREIBEN 21,TBET
SCHREIBEN 21,TQUER
SCHLIESSE 21

RUECKSPRUNG


C-# =====================================================================================

